Bug 96959 - nop.sat generated by pow workaround?
Summary: nop.sat generated by pow workaround?
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: git
Hardware: Other All
: medium normal
Assignee: Matt Turner
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-07-16 18:59 UTC by Kenneth Graunke
Modified: 2016-12-06 18:43 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kenneth Graunke 2016-07-16 18:59:12 UTC
With Mesa 93794145dd5959d905b65234cf87de3bff801aeb (recent master),

INTEL_DEBUG=fs ./run shaders/closed/3dmmes-taiji/42.shader_test produces:

math.sat pow(16) g2<1>F         g9<8,8,1>F      0.15F           { align1 1H };
nop.sat                                                         ;

It's surprising to see a saturated no-op.  It's probably harmless, but I'm not sure why we'd be generating one of those anyway.  Could other things leak in, like predication?  Does it matter?

Matt, I figured I'd mention this in case you were interested.  If you think it's harmless, feel free to close this as NOTABUG.
Comment 1 Matt Turner 2016-12-05 20:25:09 UTC
I've sent a patch: [PATCH] i965: Emit proper NOPs.
Comment 2 Matt Turner 2016-12-06 18:43:14 UTC
Fixed by

commit 43cdbb3e6ab7224278a2c68586b8d1a9cb7429a9
Author: Matt Turner <mattst88@gmail.com>
Date:   Sat Dec 3 20:14:55 2016 -0800

    i965: Emit proper NOPs.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.